#include "DemoSelectorView.h"
#include "../../../../pokktsdk/PokktManager.h"

using namespace cocos2d;
using namespace ui;

bool DemoSelectorView::init()
{
    if (!BaseView::init())
        return false;
    
    backButton->setVisible(false);
    
    int yPos = logo->getPosition().y - logo->getBoundingBox().size.height / 2 - 100;
    
    // create buttons
    
    _btnDemoWithAutoCaching = createButton("Demo With Auto Caching", CC_CALLBACK_1(DemoSelectorView::handleDemoWithAutoCaching, this), "button_purple.png");
    _btnDemoWithAutoCaching->setPosition(Vec2(visibleSize.width / 2, yPos));
    this->addChild(_btnDemoWithAutoCaching);
    
    yPos -= 150;
    
    _btnDemoSansAutoCaching = createButton("Demo Sans Auto Caching", CC_CALLBACK_1(DemoSelectorView::handleDemoSansAutoCaching, this));
    _btnDemoSansAutoCaching->setPosition(Vec2(visibleSize.width / 2, yPos));
    this->addChild(_btnDemoSansAutoCaching);
    
    // misc. pokkt flag setup
    PokktManager::getInstance()->setDebug(true);
    PokktManager::getInstance()->showLog("pokkt init...");
    //PokktManager::getInstance()->showToast("pokkt init...");
    
    return true;
}

void DemoSelectorView::handleBackPress(cocos2d::Ref *pSender)
{
    // exit the app
    Director::getInstance()->end();
}

void DemoSelectorView::handleDemoWithAutoCaching(cocos2d::Ref *pSender)
{
    // misc. pokkt flag setup
    PokktManager::getInstance()->setAutoCaching(true);
    
    changeView(AppView::MainView);
}

void DemoSelectorView::handleDemoSansAutoCaching(cocos2d::Ref *pSender)
{
    // SET THESE UP AS PER VALUES PROVIDED TO YOU
    PokktManager::SecurityKey = "iJ02lJss0M";
    PokktManager::ApplicationId = "a2717a45b835b5e9f50284a38d62a74e";
    PokktManager::UserId = "123456";
    PokktManager::IntegrationType = "0";
    PokktManager::AutoCacheVideo = "false";
    
    // make sure to set auto caching disabled once the params are set
    PokktManager::getInstance()->setAutoCaching(false);
    
    changeView(AppView::MainView);
}
