#ifndef __CocosPokktApp__VideoView__
#define __CocosPokktApp__VideoView__

#include <stdio.h>
#include "BaseView.h"
#include "cocos2d.h"
#include "../../../../../cocos2d/cocos/ui/UIButton.h"
#include "../../../../../cocos2d/cocos/ui/UIText.h"

class VideoView : public BaseView
{
public:
    
    CREATE_FUNC(VideoView);
    
    virtual ~VideoView();
    
    virtual void handleBackPress(cocos2d::Ref* pSender);
    
protected:
    
    virtual bool init();
    
private:
    
    cocos2d::ui::Button* _btnStartCaching;
    cocos2d::ui::Button* _btnPlayVideo;
    cocos2d::ui::Button* _btnPlayVideoNonIncent;
    cocos2d::ui::Button* _btnPlayVideoWithIntent;
    
    cocos2d::ui::Text* _txtPointsEarned;
    cocos2d::ui::Text* _txtCacheMessage;
    
    int _coinsEarned;
    
    // handlers
    void handleStartCaching(cocos2d::Ref* pSender);
    void handlePlayVideo(cocos2d::Ref* pSender);
    void handlePlayVideoNonIncent(cocos2d::Ref* pSender);
    void handlePlayVideoWithIntent(cocos2d::Ref* pSender);
    
    // pokkt handlers
    void handleVideoClosed(cocos2d::Ref* pSender);
    void handleVideoDisplayed(cocos2d::Ref* pSender);
    void handleVideoSkipped(cocos2d::Ref* pSender);
    void handleVideoCompleted(cocos2d::Ref* pSender);
    void handleVideoGratified(cocos2d::Ref* pSender);
    void handleDownloadCompleted(cocos2d::Ref* pSender);
    void handleDownloadFailed(cocos2d::Ref* pSender);
};

#endif /* defined(__CocosPokktApp__VideoView__) */
