#ifndef __CocosPokktApp__PokktNativeExtension__
#define __CocosPokktApp__PokktNativeExtension__

#include <stdio.h>
#include <stdlib.h>
#include "cocos2d.h"

class PokktNativeExtension
{
    friend class PokktManager;
    
public:
    
    typedef enum __pokktOperations
    {
        SetParams,
        SetDebug,
        ShowLog,
        ShowToast,
        
        GetFreeCoins,
        GetPendingCoins,
        CheckOfferwallCampaign,
        GetVideo,
        GetVideoNonIncent,
        GetVideoWithIntent,
        
        StartVideoCaching,
        SetSkipVideo,
        SetDefaultSkipTime,
        SetAge,
        SetBirthday,
        SetContentType,
        SetEducationType,
        SetEmploymentStatus,
        SetFacebookId,
        SetLocation,
        SetMaritalStatus,
        SetName,
        SetNationality,
        SetSex,
        SetThirdPartyUserId,
        SetThePubs,
        SetTwitterHandle
    } PokktOperations;
    
protected:
    
#if (CC_TARGET_PLATFORM == CC_PLATFORM_ANDROID)
    
    static void notifyAndroid(std::string operation, std::string param = "");
    static bool isVideoAvailableOnAndroid();
    static int getVideoVcOnAndroid();
    
#elif (CC_TARGET_PLATFORM == CC_PLATFORM_IOS)
    
    static void notifyIOS(std::string operation, std::string param = "");
    static bool isVideoAvailableOnIOS();
    static int getVideoVcOnIOS();
    
#endif
    
    // use this to notify native pokkt runtime
    void notifyNative(std::string operation, std::string param = "");
    
    // use this to check for video availability
    bool isVideoAvailable();
    
    // use this to get the coin associated
    int getVideoVc();
    
    // generic
    void performOperation(PokktOperations operation, std::string param = "");
    
private:
    
};

#endif /* defined(__CocosPokktApp__PokktNativeExtension__) */
